<?php
/*  Page Integrator for DotClear
 *  Copyright (C) 2004  Sbastien LECACHEUR
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

global $year, $month, $cat_id_photo;

// Test if the 'photo_archive' parameter is setted only if the 'home' mode is activated
if ( $mode == 'home' ) {
	if (dc_url_scan == 'path_info' && !empty($_SERVER['PATH_INFO']) ) {
		$custom_query = substr($_SERVER['PATH_INFO'],1);
	} elseif (dc_url_scan == 'query_string' && !empty($_SERVER['QUERY_STRING']) ) {
		$custom_query = $_SERVER['QUERY_STRING'];
	} else {
	}

	if ( strncmp($custom_query,'photo_archive/',5)==0 ) {
		$mode = 'photo_archive';
		if (preg_match('/[A-Z]/', substr($custom_query, strlen('photo_archive/'), 1))) {
			$cat_id_photo = substr($custom_query, strlen('photo_archive/'));
		} else {
			$year = substr($custom_query, strlen('photo_archive/'), 4);
			$month = substr($custom_query, strlen('photo_archive/') + 5);
		}
	}
}


?>